Subject: Re: bug#13288: charset in man ls

From: Pádraig Brady <[email-masked]>
Date: Fri, 28 Dec 2012 12:02:44 +0000

tag 13288 notabug
stop

On 12/27/2012 11:45 AM, Mario Bachmann wrote:
> Hello there,
>
> if I type "man ls" in a terminal, i get characters of german language.
>
> We have äöüß ÄÖÜẞ
>
> I hopefully use a unicode gentoo linux.
> # locale
> LANG=de_DE.UTF-8
> LC_CTYPE="de_DE.UTF-8"
> LC_NUMERIC="de_DE.UTF-8"
> LC_TIME="de_DE.UTF-8"
> LC_COLLATE=C
> LC_MONETARY="de_DE.UTF-8"
> LC_MESSAGES="de_DE.UTF-8"
> LC_PAPER="de_DE.UTF-8"
> LC_NAME="de_DE.UTF-8"
> LC_ADDRESS="de_DE.UTF-8"
> LC_TELEPHONE="de_DE.UTF-8"
> LC_MEASUREMENT="de_DE.UTF-8"
> LC_IDENTIFICATION="de_DE.UTF-8"
> LC_ALL=
>
> # set |grep LC
> LC_COLLATE=C
>
> # set |grep LANG
> LANG=de_DE.UTF-8
>
> man ls
> shows the following:
>
> BEZEICHNUNG
>         ls - Verzeichnisinhalte auflisten
>
> [...]
>
>         --block-size=GR)SSE
>                Blöcke von GRÃSSE Byte benutzen. Zum Format von GRÃSSE siehe unten
>
> GRÖSSE would be right. The Character Ö is wrong (Ã).
>
>
> My /etc/man.conf shows
> TROFF		/usr/bin/groff -Tps -mandoc
> NROFF		/usr/bin/nroff -mandoc
> JNROFF		/usr/bin/groff -Tnippon -mandocj
> EQN		/usr/bin/geqn -Tps
> NEQN		/usr/bin/geqn -Tlatin1
> JNEQN		/usr/bin/geqn -Tnippon
>
> Greetings from Augsburg, Germany
> Mario Bachmann

I'm closing this bug in coreutils as the translation is not done here.
Note also that the tranlation seems correct:
http://translationproject.org/PO-files/de/coreutils-8.20-pre1.de.po
So I suspect the issue is in the generation of the man page,
or the final rendering/display on your system.

thanks,
Pádraig.